+ Responder ao Tópico



  1. Galera, não sei o que se passa! tenho um servidor proxy/firewall Conectiva 9, atualizei os pacotes via apt-get, entre os pacotes estava o IPTABLES, então, ele passou da versão 1.2.7 para 1.2.9, essa nova versão ta MUITO estranha, o -j MASQUERADE não funfa, da parametro incorreto, deu um pau geral no meu firewall, tive que voltar a versão anterior do iptables manualmente, um exemplo de regra que não funciona é esta:

    iptables -t nat -A POSTROUTING -s 192.168.1.26 -d 0/0 -j MASQUERADE

    fiz alguns testes e percebi que a partir do -j MASQUERADE que não esta funcionando! Qual sera o segredo desta nova versão? ja tentei ler o help da nova versão mas não tive sucesso, o jeito é permanecer com a versão antiga enquanto não descubro o que há com a nova...

    Espero que me ajudem...

  2. #2
    tuxbr
    Grande Luiz,

    Apesar da demora eu vou responder sua pergunta, pode ser que não lhe sirva mais, mas pode servir pra outra pessoa que tenha um problema como este.

    O fato é que quando você atualizar seu Iptables no CL deve também atualizar o seu kernel para a versão equivalente ao Iptables. É por isso que o masquerade não tá funcionando. Após atualizar o kernel voltará ao normal.

    []'s
    tuxbr






Tópicos Similares

  1. iptables v1.3.0: host/network `www.google.com.br' not found
    Por fabricio_ no fórum Servidores de Rede
    Respostas: 1
    Último Post: 22-07-2005, 11:29
  2. Bridge + Iptables + Squid Remoto
    Por Machado no fórum Servidores de Rede
    Respostas: 2
    Último Post: 26-08-2003, 09:04
  3. IPTABLES (problemas c DHCP)
    Por redrum_pp no fórum Servidores de Rede
    Respostas: 2
    Último Post: 16-07-2002, 08:17
  4. IpTables e CheckPoint VPN
    Por chedid no fórum Servidores de Rede
    Respostas: 0
    Último Post: 26-06-2002, 21:10
  5. problemas iptables
    Por cyberrato no fórum Servidores de Rede
    Respostas: 1
    Último Post: 07-06-2002, 10:47

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L